Помогите проблема в плагине кальян

Когда пытаюсь нажать и использовать нечего не происходит а в консоли это:
2022-10-16 [07:22:16] [Server thread/CRITICAL]: “Невозможно обработать событие ‘pocketmine\event\player\PlayerInteractEvent’ в ‘Kalyan v1’: Trying to access array offset on value of type null в CraftingTable\Kalyan”
2022-10-16 [07:22:16] [Server thread/CRITICAL]: ErrorException: “Trying to access array offset on value of type null” (EXCEPTION) in “plugins/Kalyan/src/CraftingTable/Kalyan” at line 30
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #0 plugins/Kalyan/src/CraftingTable/Kalyan(30): pocketmine\utils\Utils::errorExceptionHandler(integer 8, string[51] Trying to access array offset on value of type null, string[49] /home/plugins/Kalyan/src/CraftingTable/Kalyan.php, integer 30, array[7])
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #1 pmsrc/src/pocketmine/plugin/MethodEventExecutor(45): CraftingTable\Kalyan->onInteract(object pocketmine\event\player\PlayerInteractEvent)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #2 pmsrc/src/pocketmine/plugin/RegisteredListener(96): pocketmine\plugin\MethodEventExecutor->execute(object CraftingTable\Kalyan, object pocketmine\event\player\PlayerInteractEvent)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #3 pmsrc/src/pocketmine/plugin/PluginManager(741): pocketmine\plugin\RegisteredListener->callEvent(object pocketmine\event\player\PlayerInteractEvent)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #4 pmsrc/src/pocketmine/level/Level(1993): pocketmine\plugin\PluginManager->callEvent(object pocketmine\event\player\PlayerInteractEvent)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #5 pmsrc/src/pocketmine/Player(2702): pocketmine\level\Level->useItemOn(object pocketmine\math\Vector3, object pocketmine\item\ItemBlock, integer 1, double 0.9912, double 1, double 0.4004, object pocketmine\Player)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #6 pmsrc/src/pocketmine/network/Network(317): pocketmine\Player->handleDataPacket(object pocketmine\network\mcpe\protocol\UseItemPacket)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #7 pmsrc/src/pocketmine/Player(2417): pocketmine\network\Network->processBatch(object pocketmine\network\mcpe\protocol\BatchPacket, object pocketmine\Player)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #8 pmsrc/src/pocketmine/network/mcpe/RakLibInterface(184): pocketmine\Player->handleDataPacket(object pocketmine\network\mcpe\protocol\BatchPacket)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #9 pmsrc/src/raklib/server/ServerHandler(95): pocketmine\network\mcpe\RakLibInterface->handleEncapsulated(string[19] 176.210.2.193 42744, object raklib\protocol\EncapsulatedPacket, integer 0)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #10 pmsrc/src/pocketmine/network/mcpe/RakLibInterface(114): raklib\server\ServerHandler->handlePacket()
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #11 pmsrc/src/pocketmine/network/mcpe/RakLibInterface(104): pocketmine\network\mcpe\RakLibInterface->process()
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #12 pmsrc/src/pocketmine/snooze/SleeperHandler(123): pocketmine\network\mcpe\RakLibInterface->pocketmine\network\mcpe{closure}()
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #13 pmsrc/src/pocketmine/snooze/SleeperHandler(82): pocketmine\snooze\SleeperHandler->processNotifications()
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #14 pmsrc/src/pocketmine/Server(2603): pocketmine\snooze\SleeperHandler->sleepUntil(double 1665894136.1054)
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #15 pmsrc/src/pocketmine/Server(2449): pocketmine\Server->tickProcessor()
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #16 pmsrc/src/pocketmine/Server(2022): pocketmine\Server->start()
2022-10-16 [07:22:16] [Server thread/CRITICAL]: #17 pmsrc/src/pocketmine/PocketMine(337): pocketmine\Server->__construct(object BaseClassLoader, object pocketmine\utils\MainLogger, string[6] /home/, string[14] /home/plugins/)

строка 30 в плагине:

вот я пытался исправить у меня не выходит что делать? как сделать чтобы работало?

Ошибка говорит о том что тебе нет 18 и плагин отказывается работать

бля, вы не можете нормально помочь?

Нет

Говно плагин

ну помогите

весь код кинь